# .gitlab-ci.yml

# Sets the docker image for the job
image: node:latest

# Sets the stages for the pipeline
stages:
  - test

# Cache the dependencies
cache:
  key: $CI_COMMIT_REF_SLUG-$CI_PROJECT_DIR
  paths:
    - .yarn

# Installs the dependencies
before_script:
  - yarn install --frozen-lockfile --prefer-offline --cache-folder .yarn
  - NODE_ENV=production yarn nx run visual-regression:build-storybook

#👇Adds Chromatic as a job
chromatic_publish:
  stage: test
  script:
    - yarn chromatic --project-token=4166d40032be -d dist/storybook/visual-regression --exit-zero-on-changes
